///////////////////////////////////////////////////////////////////////////
/*Glome's Basic non-template C-Script file 
Make sure you insert the name of your WMB file (see line 17)*/

///////////////////////////////////////////////////////////////////////////
//Paths

path "C:\\Program Files\\GStudio\\template";	// Path to WDL templates subdirectory

///////////////////////////////////////////////////////////////////////////
//Includes

include <qrefmove.wdl>;  //camera view
include <qrefcam.wdl>;  //camera view
include <qrefmous.wdl>; //mouse cursor
include <qrefmagc.wdl>; //magic/effects
include <qrefpnls.wdl>; //panels
///////////////////////////////////////////////////////////////////////////
// Engine Variables

var video_mode = 6;	 // 6 = 640x480; 7 = 800x600; 8 = 1024x728 .. 
var video_depth = 16; // 16 bit colour D3D mode

string level_str = <Qreflnd.wmb>; // give file names in angular brackets

/////////////////////////////////////////////////////////////////
// A5 Splash, required
bmap splashmap = <logodark.pcx>; // the default logo in templates
panel splashscreen {
	bmap = splashmap;
	flags = refresh,d3d;
}

/////////////////////////////////////////////////////////////////
// The main() function is started at game start
function main()
{
  show_panel();
  warn_level = 2;	
  tex_share = on;	
     
  splashscreen.pos_x = (screen_size.x - bmap_width(splashmap))/2;
  splashscreen.pos_y = (screen_size.y - bmap_height(splashmap))/2;
  splashscreen.visible = on;
  wait(3);

  level_load(level_str);

  freeze_mode = 1;
  sleep(1);
  splashscreen.visible = off;
  bmap_purge(splashmap);	// remove splashscreen from video memory
  freeze_mode = 0;
  
	/////////////////////////////////////////////////////////
	//calls to external functions that did not work elsewhere
	//use_ring();   // will likely move to better location
	mouse2_pos();
	/////////////////////////////////////////////////////////
  
}

///////////////////////////////////////////////////////////////
//Prototypes

///////////////////////////////////////////////////////////////
//Variables & Vectors

///////////////////////////////////////////////////////////////
//Bmaps, Sounds, & Musics

///////////////////////////////////////////////////////////////
//Panels

///////////////////////////////////////////////////////////////
//Strings

string my_strg = "This is Text!";

FONT standard_font,<ackfont.pcx>,6,9;

text my_text
{
pos_x = 20;
pos_y = 40;
font = standard_font;
string = my_strg;
}

function show_my_text { my_text.visible = on;}

on_n show_my_text;
///////////////////////////////////////////////////////////////
//Entity Pointers

///////////////////////////////////////////////////////////////
//Handles

///////////////////////////////////////////////////////////////
//Effect Actions/Functions

///////////////////////////////////////////////////////////////
//Events
//////////////////////////////////////////////////////////////
//Particle Actions/Functions

///////////////////////////////////////////////////////////////
//Main Functions

///////////////////////////////////////////////////////////////
//Main Actions

///////////////////////////////////////////////////////////////
//Starters

///////////////////////////////////////////////////////////////
//Key Assigns
on_space =use_ring;
//Comments